Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.java/1 1.10.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.java.queries
Class UnitTestForSourceQuery

    java.lang.Object
      org.netbeans.api.java.queries.UnitTestForSourceQuery

    public class UnitTestForSourceQuery

extends Object

Query to find Java package root of unit tests for Java package root of sources and vice versa.

Since:
  org.netbeans.api.java/1 1.4
See Also:
  `MultipleRootsUnitTestForSourceQueryImplementation`

Method Summary
`static URL` | `findSource(FileObject unitTest)` Deprecated. Use `findSources(org.openide.filesystems.FileObject)` instead.
`static URL[]` | `findSources(FileObject unitTest)` Returns the source roots for a given test root.
`static URL` | `findUnitTest(FileObject source)` Deprecated. Use `findUnitTests(org.openide.filesystems.FileObject)` instead.
`static URL[]` | `findUnitTests(FileObject source)` Returns the test roots for a given source root.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findUnitTest

    public static URL findUnitTest(FileObject source)

  Deprecated. Use `findUnitTests(org.openide.filesystems.FileObject)` instead.

  Returns the test root for a given source root.

  Parameters:
    `source` - Java package root with sources
  Returns:
    corresponding Java package root with unit tests. The returned URL does not have to point to existing file. It can be null when the mapping from source to unit test is not known.

### findUnitTests

    public static URL[] findUnitTests(FileObject source)

  Returns the test roots for a given source root.

  Parameters:
    `source` - Java package root with sources
  Returns:
    corresponding Java package roots with unit tests. The returned URLs do not have to point to existing files. It can be an empty array (but not null) when the mapping from source to unit tests is not known.
  Since:
    org.netbeans.api.java/1 1.7

### findSource

    public static URL findSource(FileObject unitTest)

  Deprecated. Use `findSources(org.openide.filesystems.FileObject)` instead.

  Returns the source root for a given test root.

  Parameters:
    `unitTest` - Java package root with unit tests
  Returns:
    corresponding Java package root with sources. It can be null when the mapping from unit test to source is not known.

### findSources

    public static URL[] findSources(FileObject unitTest)

  Returns the source roots for a given test root.

  Parameters:
    `unitTest` - Java package root with unit tests
  Returns:
    corresponding Java package roots with sources. It can be an empty array (not null) when the mapping from unit test to sources is not known.
  Since:
    org.netbeans.api.java/1 1.7

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.java/1 1.10.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.